%global wxversion 3.0
%global wxincdir %{_includedir}/wx-%{wxversion}
%define major 0

%define libname %mklibname %{name}_ %{wxversion} %{major}
%define devname %mklibname %{name}_ %{wxversion} -d

Name:           wxsqlite3
Version:        3.4.1
Release:        %mkrel 3
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries
License:        wxWidgets
URL:            http://utelle.github.io/wxsqlite3
Source0:        https://github.com/utelle/wxsqlite3/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         wxsqlite3-3.3.0-mga-fix-soname.patch

BuildRequires:  dos2unix
BuildRequires:  pkgconfig(sqlite)
BuildRequires:  wxgtku%{wxversion}-devel

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{libname}
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries

%description -n %{libname}
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1

# activate correct build folder
mv build30 build

# set correct permission
chmod a+x configure

# delete bundled sqlite3 files
rm -rf sqlite3

dos2unix readme.md

%build
%configure2_5x
%make_build

%install
%make_install

# move headers from /usr/include/wx to /usr/include/wx-?.?/wx
install -d %{buildroot}%{wxincdir}
mv %{buildroot}%{_includedir}/wx %{buildroot}%{wxincdir}

# install pkgconfig file
install -D -m644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n       %{libname}
%doc LICENCE.txt readme.md
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}.*

%files -n       %{devname}
%{wxincdir}/wx/%{name}*.h
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 03 2017 akien <akien> 3.4.1-3.mga6
+ Revision: 1106134
- Rebuild for wxgtk 3.0.3.1

* Sun Feb 12 2017 cjw <cjw> 3.4.1-2.mga6
+ Revision: 1085825
- fix library name in wxsqlite3.pc

* Sun Jan 01 2017 akien <akien> 3.4.1-1.mga6
+ Revision: 1079310
- Fix weird upstream buildsystem
- Version 3.4.1

* Mon Jul 18 2016 neoclust <neoclust> 3.3.1-3.mga6
+ Revision: 1042479
- Rebuild to have correct file list on armv5

* Thu Jun 02 2016 daviddavid <daviddavid> 3.3.1-2.mga6
+ Revision: 1019870
- rebuild for wxgtk3.0 built with GTK2

* Thu May 19 2016 akien <akien> 3.3.1-1.mga6
+ Revision: 1016956
- Version 3.3.1

* Wed Mar 16 2016 daviddavid <daviddavid> 3.3.0-2.mga6
+ Revision: 991942
- rename and rediff unappliable fix-soname patch (since fixed autopatch)

* Mon Jan 04 2016 akien <akien> 3.3.0-1.mga6
+ Revision: 919370
- Version 3.3.0

* Sun Oct 04 2015 akien <akien> 3.2.1-1.mga6
+ Revision: 886168
- imported package wxsqlite3

